Generate track subtitle

This endpoint allows you to generate subtitles for an existing audio track in a media file. By calling this API, you can generate subtitles automatically using speech recognition

How it works

  1. Send a POST request to this endpoint, replacing {mediaId} with the media ID and {trackId} with the track ID.

  2. Provide the necessary details in the request body, including the languageName and languageCode.

  3. You receive a response containing a unique subtitle track ID and its details.

Webhook Events

  1. After the subtitle track is generated and ready, you receive the webhook event video.media.subtitle.generated.ready.

  2. Finally the video.media.updated event notifies your system about the media’s updated status.


Related guide: Add auto-generated subtitles

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
uuid
required

The unique identifier assigned to the media when created. The value must be a valid UUID.

uuid
required

A universally unique identifier (UUID) assigned to the specific track for which subtitles must be generated.

Body Params
string
required
Defaults to English

The full name of the language used to generate the subtitles.

metadata
object

You can search for videos with specific key value pairs using metadata, when you tag a video in "key" : "value" pairs. Dynamic metadata allows you to define a key that allows any value pair. You can have maximum of 255 characters and upto 10 entries are allowed.

string
enum
required
Defaults to en-US

Language code for content localization

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json